# New-RASAVDHost

### NAME

New-RASAVDHost\ <br>

### SYNOPSIS

The cmdlet creates an object of type Azure Virtual Desktop Host.\ <br>

### SYNTAX

New-RASAVDHost \[\[-[SiteId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASAVDHost.html#SiteId)] *\<uint>*] -[AzureId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASAVDHost.html#AzureId) *\<string>* -[HostPoolId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASAVDHost.html#HostPoolId) *\<uint>* \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASAVDHost.html#CommonParameters)*>*]\
\
New-RASAVDHost \[\[-[SiteId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASAVDHost.html#SiteId)] *\<uint>*] -[HostPoolId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASAVDHost.html#HostPoolId) *\<uint>* -[NumberOfHosts](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASAVDHost.html#NumberOfHosts) *\<uint>* \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASAVDHost.html#CommonParameters)*>*]\ <br>

### DESCRIPTION

The cmdlet creates an object of type Azure Virtual Desktop Host.\
\
This is an Experimental feature which is subject to slight changes.\ <br>

### PARAMETERS

\
-**HostPoolId \<uint>**\
Host Pool Id.\ <br>

```
        Required?                    true
```

```
        Position?                    named
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**NumberOfHosts \<uint>**\
Number of Hosts to create from template.\ <br>

```
        Required?                    true
```

```
        Position?                    named
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**AzureId \<string>**\
The Azure Host ID.\
\
Found as Resource ID in Azure.\ <br>

```
        Required?                    true
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**SiteId \<uint>**\
Site ID.\
\
If the parameter is omitted, the Licensing Server site ID will be used.\ <br>

```
        Required?                    false
```

```
        Position?                    1
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
\<CommonParameters>

```
        This cmdlet supports the common parameters: Verbose, Debug,
```

```
        ErrorAction, ErrorVariable, WarningAction, WarningVariable,
```

```
        OutBuffer, PipelineVariable, and OutVariable. For more information, see 
```

```
        about_CommonParameters . 
```

<br>

### INPUTS

-none-

### OUTPUTS

-none-

### EXAMPLES

\
\&#xNAN;**---------- EXAMPLE 1 ----------**\
\
New-RASAVDHost -HostPoolID 1 -AzureID "/subscriptions/b64739563-74S9-849s-ks94-89sa5nbj83oe/resourceGroups/My-Resource-Group/providers/Microsoft.Compute/virtualMachines/My-Virtual-Machine"\
\
Creates an Azure Virtual Desktop Host from a Standalone Azure Virtual Desktop Host Pool.\
\&#xNAN;**---------- EXAMPLE 2 ----------**\
\
New-RASAVDHost -HostPoolID 1 -NumberOfHosts 2 -SiteID 1\
\
Creates Azure Virtual Desktop Hosts from a Templated Azure Virtual Desktop Host Pool.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/new-rasavdhost.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
